Bug 137425 - CAN-2004-0888 multiple xpdf integer overflows
CAN-2004-0888 multiple xpdf integer overflows
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
impact=important,public=20041012
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 09:12 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:46:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-28 09:12:46 EDT
A number of integer overflows have been found in xpdf.  kpdf uses xpdf
as its core for displaying pdf files.

See bug 135393 for the demo pdf files and the patch.

We should try to ensure this is fixed in FC3.
Comment 1 Josh Bressers 2004-10-28 09:32:58 EDT
FC3 will be fixed by using kde 3.3.1, which fixes this issue in upstream.
Comment 2 Mark J. Cox (Product Security) 2005-03-18 04:46:16 EST
        CAN-2004-0888 Affects: FC2 [#137425:MODIFIED] -> 2004-357

Note You need to log in before you can comment on or make changes to this bug.